﻿
local StoneGateV6 = foundation.createMod();

StoneGateSetPrefix = "STONE_GATE_V6"

StoneGateV6:log("Hello World: StoneGateV6")
--StoneGateV6:logWarning("This is a warning!")
--StoneGateV6:logError("This is an error!")
--StoneGateV6:msgBox("StoneGateV6: Hello there")

if (foundation.getGameVersion == nil) then
    StoneGateV6:msgBox("StoneGateV6: Unknown game version")
    StoneGateV6:dofile("scripts/monument.lua")
elseif (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    StoneGateV6:msgBox("StoneGateV6: game version" .. foundation.getGameVersion() .. " anterior to 1.6")
    StoneGateV6:dofile("scripts/monument.lua")
else
    StoneGateV6:msgBox("StoneGateV6: game version" .. foundation.getGameVersion())

    function checkVersion(_name, _id, _minimalVersion)
        if (foundation.getModVersion == nil) then
            StoneGateV6:msgBox("StoneGateV6: Unknown mod version")
        elseif not foundation.isModEnabled(_id) then
            StoneGateV6:msgBox("StoneGateV6: " .. _name .. " disabled")
        elseif not foundation.isModLoaded(_id) then
            StoneGateV6:msgBox("StoneGateV6: Up the position of " .. _name .. " in the mod list of your game")
        else         
            local _myVersion = foundation.getModVersion(_id)
            StoneGateV6:msgBox("StoneGateV6: " .. _name .. " Current version : " .. _myVersion)
            if version.cmp(_myVersion, _minimalVersion) < 0 then
                StoneGateV6:msgBox("StoneGateV6: Please, load the last version of " .. _name)
            else
                return true
            end
        end
        return false
    end

    -- check all the dependencies
    local flag1 = checkVersion("Window Decorations", "ed248b2a-9fe9-4191-9582-22ad3cf4b0b6", "1.1.0")
    local flag2 = checkVersion("Stone Gate Set V5", "ac68bde5-51f9-4eb1-8345-bd71ed4dc8c4", "5.5.2")
    if flag1 and flag2 then
        StoneGateV6:dofile("scripts/monument.lua")
    end
end
